Package com.beust.jcommander.converters

# Class StringConverter

java.lang.Object
com.beust.jcommander.converters.StringConverter

All Implemented Interfaces:
  `IStringConverter<String>`

public class StringConverter extends Object implements IStringConverter<String>
Default converter for strings.

## Constructor Summary

Constructors
Constructor
Description
`StringConverter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`convert(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringConverter

public StringConverter()

## Method Details

### convert

public String convert(String value)

Specified by:
  `convert` in interface `IStringConverter<String>`
Returns:
  an object of type <T> created from the parameter value.